org.apache.lucene.codecs.lucene3x

## Class PreFlexRWSkipListWriter

- java.lang.Object
- - org.apache.lucene.codecs.MultiLevelSkipListWriter
  - - org.apache.lucene.codecs.lucene3x.PreFlexRWSkipListWriter

    public class PreFlexRWSkipListWriter
    extends MultiLevelSkipListWriter

PreFlexRW skiplist implementation.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.MultiLevelSkipListWriter

`numberOfSkipLevels`

### Constructor Summary

Constructors
Constructor and Description
`PreFlexRWSkipListWriter(int skipInterval, int numberOfSkipLevels, int docCount, IndexOutput freqOutput, IndexOutput proxOutput)`

### Method Summary

Methods
`void` `resetSkip()`
`void` `setSkipData(int doc, boolean storePayloads, int payloadLength)` Sets the values for the current skip data.
`protected void` `writeSkipData(int level, IndexOutput skipBuffer)`

### Methods inherited from class org.apache.lucene.codecs.MultiLevelSkipListWriter

`bufferSkip, init, writeSkip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreFlexRWSkipListWriter

    public PreFlexRWSkipListWriter(int skipInterval,
                           int numberOfSkipLevels,
                           int docCount,
                           IndexOutput freqOutput,
                           IndexOutput proxOutput)

### Method Detail

#### setSkipData

    public void setSkipData(int doc,
                   boolean storePayloads,
                   int payloadLength)

Sets the values for the current skip data.

#### resetSkip

    public void resetSkip()

Overrides:
  `resetSkip` in class `MultiLevelSkipListWriter`

#### writeSkipData

    protected void writeSkipData(int level,
                     IndexOutput skipBuffer)
                          throws IOException

Specified by:
  `writeSkipData` in class `MultiLevelSkipListWriter`
Throws:
  `IOException`